Share via


Workflow Operation Status - Get

Gets the job (workflow) operation status.
Tracks the results of an asynchronous operation on the job.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataReplication/replicationVaults/{vaultName}/jobs/{jobName}/operations/{operationId}?api-version=2021-02-16-preview

URI Parameters

Name In Required Type Description
jobName
path True

string

pattern: ^[a-zA-Z0-9]*$

The job (workflow) name.

operationId
path True

string

minLength: 1

The ID of an ongoing async operation.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

vaultName
path True

string

pattern: ^[a-zA-Z0-9]*$

The vault name.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

OperationStatus

Success

Other Status Codes

ErrorResponse

Error

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

WorkflowOperationStatus_Get

Sample request

GET https://management.azure.com/subscriptions/930CEC23-4430-4513-B855-DBA237E2F3BF/resourceGroups/rgrecoveryservicesdatareplication/providers/Microsoft.DataReplication/replicationVaults/4/jobs/ZGH4y/operations/wdqcxc?api-version=2021-02-16-preview

Sample response

{
  "id": "sf",
  "name": "wzdasptnwlxgobklayoqapjcgcf",
  "status": "plbnngzfppdram",
  "startTime": "xuzwmfrhluafmwwsmzqxsytyehsh",
  "endTime": "nauyrfh"
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

OperationStatus

Defines the operation status.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

OperationStatus

Defines the operation status.

Name Type Description
endTime

string

Gets or sets the end time.

id

string

Gets or sets the Id.

name

string

Gets or sets the operation name.

startTime

string

Gets or sets the start time.

status

string

Gets or sets the status of the operation. ARM expects the terminal status to be one of Succeeded/ Failed/ Canceled. All other values imply that the operation is still running.